#ifndef UI_A2BC_H
#define UI_A2BC_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGroupBox>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QMainWindow>
#include <QtGui/QPushButton>
#include <QtGui/QStatusBar>
#include <QtGui/QTextBrowser>
#include <QtGui/QWidget>

class Ui_a2BCMain
{
public:
    QWidget *centralwidget;
    QGroupBox *groupBox_bbstable;
    QLabel *label_url;
    QLabel *label;
    QLabel *label_2;
    QPushButton *pBtnSelectionBbsTable;
    QLineEdit *lineEdit_File_bbsTable;
    QLineEdit *urlBbsTable;
    QPushButton *pBtnUpdateBbsTable;
    QLabel *label_3;
    QPushButton *executeCancel;
    QPushButton *executeUpdate;
    QTextBrowser *informData;
    QGroupBox *groupBox_2;
    QCheckBox *chkGetAgainAll;
    QCheckBox *chkRemoveErrorThread;
    QCheckBox *chkGetSubjectTxt;
    QCheckBox *chkModifyBbsTable;
    QCheckBox *chkAdjustInformation;
    QCheckBox *chkEnableDownThread;
    QGroupBox *groupBox_3;
    QLineEdit *getInterval;
    QLabel *label_4;
    QLabel *label_5;
    QLabel *lbl_Version;
    QStatusBar *statusbar;

    void setupUi(QMainWindow *a2BCMain)
    {
    a2BCMain->setObjectName(QString::fromUtf8("a2BCMain"));
    a2BCMain->resize(QSize(640, 460).expandedTo(a2BCMain->minimumSizeHint()));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(0), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(a2BCMain->sizePolicy().hasHeightForWidth());
    a2BCMain->setSizePolicy(sizePolicy);
    centralwidget = new QWidget(a2BCMain);
    centralwidget->setObjectName(QString::fromUtf8("centralwidget"));
    groupBox_bbstable = new QGroupBox(centralwidget);
    groupBox_bbstable->setObjectName(QString::fromUtf8("groupBox_bbstable"));
    groupBox_bbstable->setGeometry(QRect(10, 10, 621, 111));
    label_url = new QLabel(groupBox_bbstable);
    label_url->setObjectName(QString::fromUtf8("label_url"));
    label_url->setGeometry(QRect(10, 50, 81, 16));
    label = new QLabel(groupBox_bbstable);
    label->setObjectName(QString::fromUtf8("label"));
    label->setGeometry(QRect(10, 20, 81, 16));
    label_2 = new QLabel(groupBox_bbstable);
    label_2->setObjectName(QString::fromUtf8("label_2"));
    label_2->setGeometry(QRect(9, 80, 451, 20));
    pBtnSelectionBbsTable = new QPushButton(groupBox_bbstable);
    pBtnSelectionBbsTable->setObjectName(QString::fromUtf8("pBtnSelectionBbsTable"));
    pBtnSelectionBbsTable->setGeometry(QRect(560, 20, 51, 23));
    lineEdit_File_bbsTable = new QLineEdit(groupBox_bbstable);
    lineEdit_File_bbsTable->setObjectName(QString::fromUtf8("lineEdit_File_bbsTable"));
    lineEdit_File_bbsTable->setGeometry(QRect(100, 20, 451, 20));
    urlBbsTable = new QLineEdit(groupBox_bbstable);
    urlBbsTable->setObjectName(QString::fromUtf8("urlBbsTable"));
    urlBbsTable->setGeometry(QRect(100, 50, 511, 20));
    pBtnUpdateBbsTable = new QPushButton(groupBox_bbstable);
    pBtnUpdateBbsTable->setObjectName(QString::fromUtf8("pBtnUpdateBbsTable"));
    pBtnUpdateBbsTable->setGeometry(QRect(490, 80, 121, 23));
    label_3 = new QLabel(centralwidget);
    label_3->setObjectName(QString::fromUtf8("label_3"));
    label_3->setGeometry(QRect(560, 400, 71, 21));
    executeCancel = new QPushButton(centralwidget);
    executeCancel->setObjectName(QString::fromUtf8("executeCancel"));
    executeCancel->setGeometry(QRect(560, 360, 71, 31));
    executeUpdate = new QPushButton(centralwidget);
    executeUpdate->setObjectName(QString::fromUtf8("executeUpdate"));
    executeUpdate->setGeometry(QRect(560, 290, 71, 61));
    informData = new QTextBrowser(centralwidget);
    informData->setObjectName(QString::fromUtf8("informData"));
    informData->setGeometry(QRect(10, 290, 541, 151));
    groupBox_2 = new QGroupBox(centralwidget);
    groupBox_2->setObjectName(QString::fromUtf8("groupBox_2"));
    groupBox_2->setGeometry(QRect(10, 130, 621, 91));
    chkGetAgainAll = new QCheckBox(groupBox_2);
    chkGetAgainAll->setObjectName(QString::fromUtf8("chkGetAgainAll"));
    chkGetAgainAll->setGeometry(QRect(10, 40, 261, 18));
    chkRemoveErrorThread = new QCheckBox(groupBox_2);
    chkRemoveErrorThread->setObjectName(QString::fromUtf8("chkRemoveErrorThread"));
    chkRemoveErrorThread->setGeometry(QRect(10, 60, 261, 18));
    chkGetSubjectTxt = new QCheckBox(groupBox_2);
    chkGetSubjectTxt->setObjectName(QString::fromUtf8("chkGetSubjectTxt"));
    chkGetSubjectTxt->setGeometry(QRect(10, 20, 261, 18));
    chkModifyBbsTable = new QCheckBox(groupBox_2);
    chkModifyBbsTable->setObjectName(QString::fromUtf8("chkModifyBbsTable"));
    chkModifyBbsTable->setGeometry(QRect(320, 20, 281, 20));
    chkAdjustInformation = new QCheckBox(groupBox_2);
    chkAdjustInformation->setObjectName(QString::fromUtf8("chkAdjustInformation"));
    chkAdjustInformation->setGeometry(QRect(320, 60, 291, 18));
    chkEnableDownThread = new QCheckBox(groupBox_2);
    chkEnableDownThread->setObjectName(QString::fromUtf8("chkEnableDownThread"));
    chkEnableDownThread->setGeometry(QRect(320, 40, 291, 18));
    groupBox_3 = new QGroupBox(centralwidget);
    groupBox_3->setObjectName(QString::fromUtf8("groupBox_3"));
    groupBox_3->setGeometry(QRect(10, 230, 621, 51));
    getInterval = new QLineEdit(groupBox_3);
    getInterval->setObjectName(QString::fromUtf8("getInterval"));
    getInterval->setGeometry(QRect(10, 20, 41, 20));
    label_4 = new QLabel(groupBox_3);
    label_4->setObjectName(QString::fromUtf8("label_4"));
    label_4->setGeometry(QRect(60, 20, 31, 20));
    label_5 = new QLabel(groupBox_3);
    label_5->setObjectName(QString::fromUtf8("label_5"));
    label_5->setGeometry(QRect(110, 20, 481, 16));
    lbl_Version = new QLabel(centralwidget);
    lbl_Version->setObjectName(QString::fromUtf8("lbl_Version"));
    lbl_Version->setGeometry(QRect(560, 420, 71, 20));
    lbl_Version->setAlignment(Qt::AlignRight|Qt::AlignTrailing|Qt::AlignVCenter);
    a2BCMain->setCentralWidget(centralwidget);
    statusbar = new QStatusBar(a2BCMain);
    statusbar->setObjectName(QString::fromUtf8("statusbar"));
    statusbar->setGeometry(QRect(0, 442, 640, 18));
    a2BCMain->setStatusBar(statusbar);
    retranslateUi(a2BCMain);

    QMetaObject::connectSlotsByName(a2BCMain);
    } // setupUi

    void retranslateUi(QMainWindow *a2BCMain)
    {
    a2BCMain->setWindowTitle(QApplication::translate("a2BCMain", "a2BC", 0, QApplication::UnicodeUTF8));
    groupBox_bbstable->setTitle(QApplication::translate("a2BCMain", "bbstable.html (a2B\347\256\241\347\220\206\343\203\207\343\202\243\343\203\254\343\202\257\343\203\210\343\203\252\346\214\207\345\256\232)", 0, QApplication::UnicodeUTF8));
    label_url->setText(QApplication::translate("a2BCMain", "\345\217\226\345\276\227\345\205\210URL", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("a2BCMain", "\343\203\225\343\202\241\343\202\244\343\203\253", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("a2BCMain", "\342\200\273 \346\233\264\346\226\260\343\203\234\343\202\277\343\203\263\343\202\222\346\212\274\343\201\231\343\201\250\343\200\201\345\217\226\345\276\227\345\205\210URL\343\201\213\343\202\211bbstable.html\343\202\222\345\217\226\345\276\227\343\201\227\343\200\201\343\203\225\343\202\241\343\202\244\343\203\253\343\202\222\346\233\264\346\226\260\343\201\227\343\201\276\343\201\231\343\200\202", 0, QApplication::UnicodeUTF8));
    pBtnSelectionBbsTable->setToolTip(QApplication::translate("a2BCMain", "", "\343\201\223\343\201\256\343\203\234\343\202\277\343\203\263\343\202\222\344\275\277\343\201\243\343\201\246\343\200\201a2B\343\201\214\344\275\277\347\224\250\343\201\231\343\202\213bbstable.html \343\202\222\351\201\270\346\212\236\343\201\227\343\201\246\343\201\217\343\201\240\343\201\225\343\201\204\343\200\202", QApplication::UnicodeUTF8));
    pBtnSelectionBbsTable->setText(QApplication::translate("a2BCMain", "\345\217\202\347\205\247...", 0, QApplication::UnicodeUTF8));
    pBtnUpdateBbsTable->setToolTip(QApplication::translate("a2BCMain", "", "\343\201\223\343\201\256\343\203\234\343\202\277\343\203\263\343\202\222\344\275\277\343\201\243\343\201\246\343\200\201a2B\343\201\214\344\275\277\347\224\250\343\201\231\343\202\213bbstable.html \343\202\222\351\201\270\346\212\236\343\201\227\343\201\246\343\201\217\343\201\240\343\201\225\343\201\204\343\200\202", QApplication::UnicodeUTF8));
    pBtnUpdateBbsTable->setText(QApplication::translate("a2BCMain", "bbstable.html\343\201\256\346\233\264\346\226\260", 0, QApplication::UnicodeUTF8));
    label_3->setText(QApplication::translate("a2BCMain", "a2BC", 0, QApplication::UnicodeUTF8));
    executeCancel->setText(QApplication::translate("a2BCMain", "\344\270\255\346\255\242", 0, QApplication::UnicodeUTF8));
    executeUpdate->setText(QApplication::translate("a2BCMain", "\345\256\237\350\241\214", 0, QApplication::UnicodeUTF8));
    groupBox_2->setTitle(QApplication::translate("a2BCMain", "\346\226\260\347\235\200\347\242\272\350\252\215", 0, QApplication::UnicodeUTF8));
    chkGetAgainAll->setText(QApplication::translate("a2BCMain", "\343\202\271\343\203\254\343\202\222\345\205\250\343\201\246\345\206\215\345\217\226\345\276\227\343\201\231\343\202\213", 0, QApplication::UnicodeUTF8));
    chkRemoveErrorThread->setText(QApplication::translate("a2BCMain", "\345\217\226\345\276\227\343\202\250\343\203\251\343\203\274\343\201\214\347\231\272\347\224\237\343\201\227\343\201\237\343\202\271\343\203\254\343\202\222\347\256\241\347\220\206\345\257\276\350\261\241\343\201\213\343\202\211\343\201\257\343\201\232\343\201\231", 0, QApplication::UnicodeUTF8));
    chkGetSubjectTxt->setText(QApplication::translate("a2BCMain", "\343\202\271\343\203\254\344\270\200\350\246\247(subject.txt)\343\202\222\345\220\214\346\231\202\343\201\253\346\233\264\346\226\260\343\201\231\343\202\213", 0, QApplication::UnicodeUTF8));
    chkModifyBbsTable->setText(QApplication::translate("a2BCMain", "\343\202\271\343\203\254\345\217\226\345\276\227\346\235\277\343\202\222a2B\343\202\253\343\203\206\343\202\264\343\203\252\343\201\250\343\201\227\343\201\246bbstable.html\343\201\253\347\231\273\351\214\262", 0, QApplication::UnicodeUTF8));
    chkAdjustInformation->setText(QApplication::translate("a2BCMain", "\350\277\267\345\255\220\343\202\271\343\203\254\343\202\222\347\256\241\347\220\206\345\257\276\350\261\241\343\201\253\343\201\231\343\202\213", 0, QApplication::UnicodeUTF8));
    chkEnableDownThread->setText(QApplication::translate("a2BCMain", "dat\350\220\275\343\201\241\343\201\227\343\201\237\343\202\271\343\203\254\343\202\202\350\252\255\343\202\201\343\202\213\343\202\210\343\201\206\343\201\253\343\201\231\343\202\213", 0, QApplication::UnicodeUTF8));
    groupBox_3->setTitle(QApplication::translate("a2BCMain", "\343\202\271\343\203\254\345\217\226\345\276\227\351\226\223\351\232\224", 0, QApplication::UnicodeUTF8));
    label_4->setText(QApplication::translate("a2BCMain", "ms\346\257\216", 0, QApplication::UnicodeUTF8));
    label_5->setText(QApplication::translate("a2BCMain", "\342\200\273 \357\274\222\343\201\241\343\202\203\343\202\223\343\201\255\343\202\213\343\201\256\343\202\265\343\203\274\343\203\220\343\201\253\346\245\265\347\253\257\343\201\252\350\262\240\350\215\267\343\202\222\343\201\213\343\201\221\343\201\252\343\201\204\343\202\210\343\201\206\343\200\201\345\215\201\345\210\206\343\201\253\345\244\247\343\201\215\343\201\252\345\200\244\343\202\222\350\250\255\345\256\232\343\201\227\343\201\246\343\201\217\343\201\240\343\201\225\343\201\204\343\200\202", 0, QApplication::UnicodeUTF8));
    lbl_Version->setText(QApplication::translate("a2BCMain", "Version 0.20", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(a2BCMain);
    } // retranslateUi

};

namespace Ui {
    class a2BCMain: public Ui_a2BCMain {};
} // namespace Ui

#endif // UI_A2BC_H
